> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Reset Token

> Verify if a password reset token is valid without using it.

Used by frontend to pre-validate the token before showing the reset form.

Args:
    token: The reset token to verify.
    reset_service: Password reset service dependency.

Returns:
    Token validity status and expiration time.



## OpenAPI

````yaml get /api/v1/auth/verify-reset-token/{token}
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/verify-reset-token/{token}:
    get:
      tags:
        - auth
      summary: Verify Reset Token
      description: >-
        Verify if a password reset token is valid without using it.


        Used by frontend to pre-validate the token before showing the reset
        form.


        Args:
            token: The reset token to verify.
            reset_service: Password reset service dependency.

        Returns:
            Token validity status and expiration time.
      operationId: verify_reset_token_api_v1_auth_verify_reset_token__token__get
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            title: Token
      responses:
        '200':
          description: Token validity status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyResetTokenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VerifyResetTokenResponse:
      properties:
        valid:
          type: boolean
          title: Valid
          description: Whether token is valid
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
          description: Token expiration time if valid
      type: object
      required:
        - valid
      title: VerifyResetTokenResponse
      description: Response for reset token verification.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````